package com.kmall.common.utils.wechat.wxglobal.dto;

/**
 * 微信境外香港融合钱包支付结果通知返回的字段
 * @author huangyaqin
 * @version 1.0
 * 2018-12-11 10:22
 */
public class WechatGlobalUniformNotifyResult {
	private String code;
	private String message;
	private DetailDto detail;

	private String appid;
	private String mchid;
	private String id;//微信支付订单号
	private String out_trade_no;//商户订单号
	private String trade_type;//调用接口提交的交易类型，取值如下：JSAPI，NATIVE，APP，MICROPAY
	/**
	 * SUCCESS—支付成功
	 REFUND—转入退款
	 NOTPAY—未支付
	 CLOSED—已关闭
	 REVOKED—已撤销（刷卡支付）
	 USERPAYING--用户支付中
	 PAYERROR--支付失败(其他原因，如银行返回失败)
	 */
	private String trade_state;
	private String bank_type;//付款银行
	private String success_time;//支付完成时间 为 rfc3339格式
	private String trade_state_desc;//交易状态描述
	private PayerDto payer;//支付者
	private AmountDto amount;//订单金额信息
	private String attach;//附加数据

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getMessage() {
		return message;
	}

	public void setMessage(String message) {
		this.message = message;
	}

	public DetailDto getDetail() {
		return detail;
	}

	public void setDetail(DetailDto detail) {
		this.detail = detail;
	}

	public String getAppid() {
		return appid;
	}

	public void setAppid(String appid) {
		this.appid = appid;
	}

	public String getMchid() {
		return mchid;
	}

	public void setMchid(String mchid) {
		this.mchid = mchid;
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getOut_trade_no() {
		return out_trade_no;
	}

	public void setOut_trade_no(String out_trade_no) {
		this.out_trade_no = out_trade_no;
	}

	public String getTrade_type() {
		return trade_type;
	}

	public void setTrade_type(String trade_type) {
		this.trade_type = trade_type;
	}

	public String getTrade_state() {
		return trade_state;
	}

	public void setTrade_state(String trade_state) {
		this.trade_state = trade_state;
	}

	public String getBank_type() {
		return bank_type;
	}

	public void setBank_type(String bank_type) {
		this.bank_type = bank_type;
	}

	public String getSuccess_time() {
		return success_time;
	}

	public void setSuccess_time(String success_time) {
		this.success_time = success_time;
	}

	public String getTrade_state_desc() {
		return trade_state_desc;
	}

	public void setTrade_state_desc(String trade_state_desc) {
		this.trade_state_desc = trade_state_desc;
	}

	public PayerDto getPayer() {
		return payer;
	}

	public void setPayer(PayerDto payer) {
		this.payer = payer;
	}

	public AmountDto getAmount() {
		return amount;
	}

	public void setAmount(AmountDto amount) {
		this.amount = amount;
	}

	public String getAttach() {
		return attach;
	}

	public void setAttach(String attach) {
		this.attach = attach;
	}
}
